Bug 1692593 - Review Request: visidata - Curses interface for exploring and arranging tabular data
Summary: Review Request: visidata - Curses interface for exploring and arranging tabul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 01:12 UTC by Elliott Sales de Andrade
Modified: 2019-04-07 04:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-02 00:01:51 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-03-26 01:12:45 UTC
Spec URL: https://qulogic.fedorapeople.org//visidata.spec
SRPM URL: https://qulogic.fedorapeople.org//visidata-1.5.2-1.fc29.src.rpm

Description:
VisiData is an interactive multitool for tabular data. It combines the clarity
of a spreadsheet, the efficiency of the terminal, and the power of Python, into
a lightweight utility which can handle millions of rows with ease.

Comment 1 Elliott Sales de Andrade 2019-03-26 01:12:47 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=33771108

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-03-26 23:08:54 UTC
+ package name is OK
+ latest version
+ license is acceptable for Fedora (GPLv3)
+ license is specified correctly
+ builds and installs OK
+ BR look OK, Requires look OK too (I'm a bit suspicious if everything can be made optional...)

rpmlint:
> python3-visidata.noarch: E: script-without-shebang /usr/lib/python3.7/site-packages/visidata/man/vd.1
> visidata.noarch: W: spurious-executable-perm /usr/share/man/man1/vd.1.gz
Just remove this file?
This file is misplaced. I see the man page is already installed in the right place, so those two can be jsut removed.

> python3-visidata.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/visidata/colors.py /usr/bin/env python3
> python3-visidata.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/visidata/colors.py 644 /usr/bin/env python3
> python3-visidata.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/visidata/vdtui.py /usr/bin/env python3
> python3-visidata.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/visidata/vdtui.py 644 /usr/bin/env python3

Not terribly important, but nice to fix.

> python3-visidata.noarch: W: spelling-error %description -l en_US multitool -> multistory
> visidata.noarch: W: spelling-error %description -l en_US multitool -> multistory
> visidata.src: W: spelling-error %description -l en_US multitool -> multistory
Bogus obviously.

3 packages and 0 specfiles checked; 5 errors, 4 warnings.

All those seem very minor. Please fix when importing. Package is APPROVED.

Comment 3 Gwyn Ciesla 2019-03-27 12:45:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/visidata

Comment 4 Fedora Update System 2019-03-28 05:57:04 UTC
visidata-1.5.2-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4f77533a98

Comment 5 Fedora Update System 2019-03-28 05:57:45 UTC
visidata-1.5.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4ae59d084

Comment 6 Fedora Update System 2019-03-28 05:58:12 UTC
visidata-1.5.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-91ba537169

Comment 7 Fedora Update System 2019-03-29 00:12:43 UTC
visidata-1.5.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4f77533a98

Comment 8 Fedora Update System 2019-03-29 03:05:33 UTC
visidata-1.5.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-91ba537169

Comment 9 Fedora Update System 2019-03-29 04:15:49 UTC
visidata-1.5.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b4ae59d084

Comment 10 Fedora Update System 2019-04-02 00:01:51 UTC
visidata-1.5.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-04-07 01:47:17 UTC
visidata-1.5.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-07 04:19:42 UTC
visidata-1.5.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.